更新到7.1.4后打开网页端总显示连接已重置


#1

很奇怪的是用Chrome是大概率打不开网页,打开以后刷新也大概率在显示:请检查网络是否已连接。


然后看network显示是API链接获取状态显示连接已重置。
但是如果直接用Chrome打开这个API链接又是大概率没问题的

然后用火狐去打开的话变成是小概率打不开网页,也不会显示请检查网络是否已连接。

然后PC客户端是大概率连不上,然而手机客户端又是极小概率连不上。

总的来看就是目前手机客户端是最稳的基本没问题。

seahub.log内提示的错误:
2020-07-31 18:30:44,001 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /
Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 30, in sendall
n = fd.send(data[offset:])
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 244, in _legacy_get_response
response = middleware_method(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/middleware.py”, line 33, in process_request
if request.user.is_authenticated() and not request.user.is_active:
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/middleware.py”, line 23, in get
request._cached_user = get_user(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/init.py”, line 120, in get_user
user = backend.get_user(username) or AnonymousUser()
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/base/accounts.py”, line 570, in get_user
user = self.get_user_with_import(username)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/base/accounts.py”, line 541, in get_user_with_import
emailuser = seaserv.get_emailuser_with_import(username)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/seaserv/service.py”, line 128, in get_emailuser_with_import
return ccnet_threaded_rpc.get_emailuser_with_import(email)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 101, in call_remote_func_sync
ret_str = transport.send(self.service_name, fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 62, in send
sendall(self.pipe, header)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 32, in sendall
raise NetworkError(‘Failed to write to socket: %s’ % e)
pysearpc.errors.NetworkError: Failed to write to socket: [Errno 32] Broken pipe
2020-07-31 18:30:44,123 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 30, in sendall
n = fd.send(data[offset:])
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 244, in _legacy_get_response
response = middleware_method(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/middleware.py”, line 33, in process_request
if request.user.is_authenticated() and not request.user.is_active:
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/middleware.py”, line 23, in get
request._cached_user = get_user(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/auth/init.py”, line 120, in get_user
user = backend.get_user(username) or AnonymousUser()
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/base/accounts.py”, line 570, in get_user
user = self.get_user_with_import(username)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/base/accounts.py”, line 541, in get_user_with_import
emailuser = seaserv.get_emailuser_with_import(username)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/seaserv/service.py”, line 128, in get_emailuser_with_import
return ccnet_threaded_rpc.get_emailuser_with_import(email)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 101, in call_remote_func_sync
ret_str = transport.send(self.service_name, fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 62, in send
sendall(self.pipe, header)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 32, in sendall
raise NetworkError(‘Failed to write to socket: %s’ % e)
pysearpc.errors.NetworkError: Failed to write to socket: [Errno 32] Broken pipe
2020-07-31 18:30:45,827 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 30, in sendall
n = fd.send(data[offset:])
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 249, in _legacy_get_response
response = self._get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 187, in _get_response
response = self.process_exception_by_middleware(e, request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 185, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/views/decorators/csrf.py”, line 58, in wrapped_view
return view_func(*args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/views/generic/base.py”, line 68, in view
return self.dispatch(request, *args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 505, in dispatch
response = self.handle_exception(exc)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 465, in handle_exception
self.raise_uncaught_exception(exc)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 476, in raise_uncaught_exception
raise exc
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 502, in dispatch
response = handler(request, *args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/api2/endpoints/repos.py”, line 90, in get
ret_corrupted=True)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/seaserv/api.py”, line 137, in get_owned_repo_list
start, limit)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 101, in call_remote_func_sync
ret_str = transport.send(self.service_name, fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 62, in send
sendall(self.pipe, header)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 32, in sendall
raise NetworkError(‘Failed to write to socket: %s’ % e)
pysearpc.errors.NetworkError: Failed to write to socket: [Errno 32] Broken pipe
2020-07-31 18:30:46,402 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 30, in sendall
n = fd.send(data[offset:])
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 249, in _legacy_get_response
response = self._get_response(request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 187, in _get_response
response = self.process_exception_by_middleware(e, request)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/core/handlers/base.py”, line 185, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/views/decorators/csrf.py”, line 58, in wrapped_view
return view_func(*args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/django/views/generic/base.py”, line 68, in view
return self.dispatch(request, *args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 505, in dispatch
response = self.handle_exception(exc)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 465, in handle_exception
self.raise_uncaught_exception(exc)
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 476, in raise_uncaught_exception
raise exc
File “/opt/seafile/seafile-server-7.1.4/seahub/thirdpart/rest_framework/views.py”, line 502, in dispatch
response = handler(request, *args, **kwargs)
File “/opt/seafile/seafile-server-7.1.4/seahub/seahub/api2/endpoints/repos.py”, line 90, in get
ret_corrupted=True)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/seaserv/api.py”, line 137, in get_owned_repo_list
start, limit)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 101, in call_remote_func_sync
ret_str = transport.send(self.service_name, fcall_str)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/named_pipe.py”, line 62, in send
sendall(self.pipe, header)
File “/opt/seafile/seafile-server-7.1.4/seafile/lib64/python3.6/site-packages/pysearpc/utils.py”, line 32, in sendall
raise NetworkError(‘Failed to write to socket: %s’ % e)
pysearpc.errors.NetworkError: Failed to write to socket: [Errno 32] Broken pipe